Subject: Re: bug#11442: dbus uses Emacs integer as pointer, possible core dump

From: Michael Albinus <[email-masked]>
Date: Wed, 09 May 2012 23:19:29 +0200

Andreas Schwab <[email-masked]> writes:

>> In general, I agree with you. In the given case, it is just a pointer
>> address which has been written in Fdbus_init_bus. No other place is
>> expected to write such an address, but since it is a Lisp object,
>> somebody could do by mistake.
>
> Why is Vdbus_registered_buses exported to lisp?

Indeed, that's the question.

When I wrote the new code for private buses, it was needed in dbus.el
(don't remember the reason). In the final code I've committed,
dbus-registered-buses isn't needed anymore on Lisp level.

I've converted it to be an internal Lisp object. Paul, is this
sufficient from your pov, or do we need more checks?

> Andreas.

Best regards, Michael.